import { Component, OnInit } from '@angular/core';
import { FrameRequest } from '../../../../../shared/frame/frame-request';
import { AppComponent } from '../../../../..';

@Component({
  selector: 'app-exam-info-label',
  templateUrl: './exam-info-label.component.html',
  styleUrls: ['./exam-info-label.component.scss']
})
export class ExamInfoLabelComponent implements OnInit {

  LIST_URL = "kw/kwExamPoint/listExamLabel.htm";
  EXPORT_URL = "kw/kwExamPoint/exportLabel.htm";
  examLabel = []; 

  constructor() { }

  ngOnInit() {
    FrameRequest.requestArray(this.LIST_URL, {}, (array) => {
      this.examLabel = array;
    });
  }

   //导出考点考场数
   export() {
    FrameRequest.download(this.EXPORT_URL, {}, () => {
      AppComponent.GobalComponent.successMsg('导出成功');
    });
  }

}
